Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DisplayNamePrefix

    java.lang.Object
      com.compoze.exchange.DisplayNamePrefix

All Implemented Interfaces:
  java.io.Serializable

public class DisplayNamePrefix
extends java.lang.Object
implements java.io.Serializable

This class implements a display name prefix. A key is used to lookup the readable string from `exchange_resource.properties`.

See Also:
  Serialized Form

Field Summary
`static DisplayNamePrefix` | `DR` This value represents the 'Dr.' prefix.
`static DisplayNamePrefix` | `MISS` This value represents the 'Miss' prefix.
`static DisplayNamePrefix` | `MR` This value represents the 'Mr.' prefix.
`static DisplayNamePrefix` | `MRS` This value represents the 'Mrs.' prefix.
`static DisplayNamePrefix` | `MS` This value represents the 'Ms.' prefix.
`static DisplayNamePrefix` | `PROF` This value represents the 'Prof.' prefix.

Constructor Summary
`protected` | `DisplayNamePrefix(java.lang.String sPrefixKey)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DisplayNamePrefix` | `get(java.lang.String sPrefix)` Gets the prefix.
`static java.util.List` | `getList()` Gets a list of prefixes.
`java.lang.String` | `getPrefix()` Gets the prefix.
`java.lang.String` | `getPrefix(java.util.Locale locale)` Gets the prefix using the specified locale.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DR

    public static final DisplayNamePrefix DR

  This value represents the 'Dr.' prefix.

### MISS

    public static final DisplayNamePrefix MISS

  This value represents the 'Miss' prefix.

### MR

    public static final DisplayNamePrefix MR

  This value represents the 'Mr.' prefix.

### MRS

    public static final DisplayNamePrefix MRS

  This value represents the 'Mrs.' prefix.

### MS

    public static final DisplayNamePrefix MS

  This value represents the 'Ms.' prefix.

### PROF

    public static final DisplayNamePrefix PROF

  This value represents the 'Prof.' prefix.

Constructor Detail

### DisplayNamePrefix

    protected DisplayNamePrefix(java.lang.String sPrefixKey)

  Constructor.

Parameters:
  `sPrefixKey` - the key of the prefix (may not be `null` or empty)

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Gets the prefix.

  Returns:
    the prefix

### getPrefix

    public java.lang.String getPrefix(java.util.Locale locale)

  Gets the prefix using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the prefix

### get

    public static DisplayNamePrefix get(java.lang.String sPrefix)

  Gets the prefix.

  Parameters:
    `sPrefix` - the prefix
  Returns:
    the matching prefix or `null` if not found

### getList

    public static java.util.List getList()

  Gets a list of prefixes.

  Returns:
    the list of `DisplayNamePrefix`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the prefix string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object is the same as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.